<app-header titulo="El input"></app-header>




<ion-content>

  <ion-list>


    <ion-list-header>
      <ion-label>nombre: {{ nombre || 'No hay nombre' }} </ion-label>
    </ion-list-header>

    <ion-item>
      <ion-label position="floating">Nombre</ion-label>
      <ion-input type="text"
                 [(ngModel)]="nombre" ></ion-input>
    </ion-item>

  </ion-list>

  <form #formulario="ngForm" (ngSubmit)="onSubmitTemplate()" >

    <ion-list>

      <ion-list-header>
        <ion-label>Formulario : valido {{formulario.valid}} </ion-label>
      </ion-list-header>

        <ion-item>
            <ion-label position="floating">Email</ion-label>
            <ion-input type="email"
                       name="email"
                       pattern="^([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$"
                       [(ngModel)]="usuario.email"
                       required >
            </ion-input>
          </ion-item>

          
          <ion-item>
              <ion-label position="floating">Password</ion-label>
              <ion-input type="password"
                         name="password"                        
                         [(ngModel)]="usuario.password"
                         required >
              </ion-input>
            </ion-item>
  
    </ion-list>

    <ion-button expand="full" 
                type="submit"
                [disabled]="formulario.invalid"  >
      Enviar
    </ion-button>

  </form>



</ion-content>
